Subject: Re: [Netconf] network-wide NETCONF

From: "t.petch" <[email-masked]>
Date: Tue, 10 Aug 2010 17:54:09 +0200

A belated thought ...
Tom Petch

----- Original Message -----
From: "Juergen Schoenwaelder" <[email-masked]>
To: "Martin Bjorklund" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, July 21, 2010 3:23 PM
Subject: Re: [Netconf] network-wide NETCONF

> On Wed, Jul 21, 2010 at 11:21:02AM +0200, Martin Bjorklund wrote:
> >
> > I agree with other speakers that we should not try to do the one and
> > only uber-network model.  Instead, I think we (i.e. IETF) should do
> > concrete YANG models for our own areas.  We have used OSPF as one
> > example in the past - ideally there would be one YANG model for how to
> > configure OSPF in devices, and one YANG model for how to configure
> > OSPF in a network of devices.  Realistically, the mapping between
> > these models is defined in text.  This would be a huge step forward
> > compared to abstract UML models mapped to different CLI flavours.
>
> I understand a YANG model for devices running OSPF. I see value in a
> description how the OSPF device model can be used to achieve robust
> network-wide configuration. It still escapes me what a network wide
> YANG model for OSPF would be.

A device model for OSPF would say that a router has a 32 bit router id.
A network wide model says that it is unique within a domain.
A device model says that each interface has Hello/Dead timers (default!)
A network wide model says that each interface on a link must have the same two
values.
A device model says that each interface is in a numbered area.
A network wide model says that there the area number must come from a list which
includes zero and that each interface on a link must share the same value.
etc etc

There are network (domain) wide rules without which OSPF will not work and which
could be expressed in a modelling language

You could do something similar for BGP, and for access control rules.
</tp>

> Lets face it, the IETF is crowded by device geeks, not by people who
> have insights how real-world configuration databases look like and
> those who have insights might not be willing to share those insights
> for obvious business reasons.
>
> /js
> --
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf